Loading...
Searching...
No Matches
OpenMesh::Utils::HeapInterfaceT< HeapEntry > Struct Template Reference

This class demonstrates the HeapInterface's interface. More...

`#include <OpenMesh/Tools/Utils/HeapT.hh>`

## Public Member Functions

bool | less (const HeapEntry &_e1, const HeapEntry &_e2)
| Comparison of two HeapEntry's: strict less.
bool | greater (const HeapEntry &_e1, const HeapEntry &_e2)
| Comparison of two HeapEntry's: strict greater.
int | get_heap_position (const HeapEntry &_e)
| Get the heap position of HeapEntry _e.
void | set_heap_position (HeapEntry &_e, int _i)
| Set the heap position of HeapEntry _e.

## Detailed Description

template<class HeapEntry>
struct OpenMesh::Utils::HeapInterfaceT< HeapEntry >

This class demonstrates the HeapInterface's interface.

If you want to build your customized heap you will have to specify a heap interface class and use this class as a template parameter for the class HeapT. This class defines the interface that this heap interface has to implement.

See also
  HeapT

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Utils/HeapT.hh